import 'package:json_annotation/json_annotation.dart';

import 'package:pshared/api/responses/token.dart';
import 'package:pshared/data/dto/account/account.dart';

part 'account.g.dart';


@JsonSerializable(explicitToJson: true)
class AccountResponse {
  final AccountDTO account;
  final TokenData accessToken;

  const AccountResponse({required this.accessToken, required this.account});

  factory AccountResponse.fromJson(Map<String, dynamic> json) => _$AccountResponseFromJson(json);
  Map<String, dynamic> toJson() => _$AccountResponseToJson(this);
}